Streams.ArrayCollector (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3, class: Streams, class: ArrayCollector

# Class Streams.ArrayCollector<O>

java.lang.Object
org.apache.commons.lang3.Streams.ArrayCollector<O>

Type Parameters:
  `O` - The array type.

All Implemented Interfaces:
  `Collector<O,List<O>,O[]>`

Enclosing class:
  `Streams`

@Deprecated public static class Streams.ArrayCollector<O> extends Object implements Collector<O,List<O>,O[]>
Deprecated.
Use `Streams.ArrayCollector`.
A Collector type for arrays.

Since:
  3.10

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Collector

  `Collector.Characteristics`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayCollector(Class<O> elementType)`
  Deprecated.
  Constructs a new instance for the given element type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BiConsumer<List<O>,O>`
  `accumulator()`
  Deprecated.
  `Set<Collector.Characteristics>`
  `characteristics()`
  Deprecated.
  `BinaryOperator<List<O>>`
  `combiner()`
  Deprecated.
  `Function<List<O>,O[]>`
  `finisher()`
  Deprecated.
  `Supplier<List<O>>`
  `supplier()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayCollector

    public ArrayCollector(Class<O> elementType)
    Deprecated.
    Constructs a new instance for the given element type.
    Parameters:
      `elementType` - The element type.

- ## Method Details

  - ### accumulator

    public BiConsumer<List<O>,O> accumulator()
    Deprecated.
    Specified by:
      `accumulator` in interface `Collector<O,List<O>,O[]>`

  - ### characteristics

    public Set<Collector.Characteristics> characteristics()
    Deprecated.
    Specified by:
      `characteristics` in interface `Collector<O,List<O>,O[]>`

  - ### combiner

    public BinaryOperator<List<O>> combiner()
    Deprecated.
    Specified by:
      `combiner` in interface `Collector<O,List<O>,O[]>`

  - ### finisher

    public Function<List<O>,O[]> finisher()
    Deprecated.
    Specified by:
      `finisher` in interface `Collector<O,List<O>,O[]>`

  - ### supplier

    public Supplier<List<O>> supplier()
    Deprecated.
    Specified by:
      `supplier` in interface `Collector<O,List<O>,O[]>`